org.faceless.pdf2.viewer2.feature

## Class EditMenu

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.feature.EditMenu

-     public final class EditMenu
      extends ViewerFeature

  This features adds an "Edit" menu to the application, which provides a familiar interface for those components allowing cut, copy, paste and text selection in the viewer - although those actions will still be available if this feature is not added to the viewer. The name of this feature is EditMenu

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.10.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditMenu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `void` | `teardown()` Called when the PDFViewer containing this feature is closed

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditMenu

          public EditMenu()

  - ### Method Detail

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerFeature`

    - #### teardown

          public void teardown()

      Description copied from class: `ViewerFeature`
      Called when the PDFViewer containing this feature is closed
      Overrides:
        `teardown` in class `ViewerFeature`

Copyright © 2001-2015 Big Faceless Organization